## hexchat 2.14.3

=== meson_options.txt ===
option('with-gtk', type: 'boolean',
  description: 'Main graphical interface'
)
option('with-text', type: 'boolean', value: false,
  description: 'Text interface (not generally useful)'
)
option('with-ssl', type: 'boolean',
  description: 'Support for TLS connections, requires openssl'
)
option('with-plugin', type: 'boolean',
  description: 'Support for loadable plugins'
)
option('with-dbus', type: 'boolean',
  description: 'Support used for single-instance and scripting interface, Unix only'
)
option('with-libproxy', type: 'boolean',
  description: 'Support for getting proxy information, Unix only'
)
option('with-libnotify', type: 'boolean',
  description: 'Support for freedesktop notifications, Unix only'
)
option('with-libcanberra', type: 'boolean',
  description: 'Support for sound alerts, Unix only'
)
option('with-theme-manager', type: 'boolean', value: false,
  description: 'Utility to help manage themes, requires mono/.net'
)
option('dbus-service-use-appid', type: 'boolean', value: false,
  description: 'Rename dbus service to match app-id, required for Flatpak'
)
option('with-appdata', type: 'boolean',
  description: 'Install appdata files for app stores'
)

# Plugins
option('with-checksum', type: 'boolean',
  description: 'DCC checksum plugin'
)
option('with-exec', type: 'boolean',
  description: '/exec plugin, Windows only'
)
option('with-fishlim', type: 'boolean',
  description: 'Fish encryption plugin, requires openssl'
)
option('with-lua', type: 'string', value: 'luajit',
  description: 'Lua scripting plugin, value is pkg-config name to use or "false"'
)
option('with-perl', type: 'string', value: 'perl',
  description: 'Perl scripting plugin, value is path to perl executable or "false"'
)
option('with-python', type: 'string', value: 'python3',
  description: 'Python scripting plugin. value is pkg-config name to use or "false"'
)
option('with-sysinfo', type: 'boolean',
  description: 'System information plugin, requires libpci on Unix'
)
option('with-upd', type: 'boolean',
  description: 'Update plugin, Windows only'
)
option('with-winamp', type: 'boolean',
  description: 'Winamp plugin, Windows only'
)
option('install-plugin-metainfo', type: 'boolean', value: false,
  description: 'Installs metainfo files for enabled plugins, useful when distros create split packages'
)
option('with-perl-legacy-api', type: 'boolean', value: false,
  description: 'Enables the legacy IRC perl module for compatibility with old scripts'
)

=== debian/changelog ===
hexchat (2.14.3-6~0ubuntu21.04.1) hirsute; urgency=medium

  * Backport 2.14.3-6 into hirsute.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 25 Jun 2021 18:58:53 +0200

hexchat (2.14.3-6) unstable; urgency=medium

  * Add Recommends:ca-certificates.
  * Add patches from upstream to add Libera.Chat to the network list.
  * Adapt default servers patches for the upstream changes.
  * Ubuntu default server:  LP: #1933681
    + Change from Freenode to Libera.Chat.
    + Pre-select the "join channel" button, like we do in Debian.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 May 2021 14:55:10 +0200

hexchat (2.14.3-5) unstable; urgency=medium

  * Bump copyright for 2021.
  * Apply patch from upstream to fix font height calculation with Pango>=1.44.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Jan 2021 16:31:39 +0100

hexchat (2.14.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump debhelper compat version to 13.
    + Drop dh_missing override, now that --fail-missing is the default.
  * Add a patch series from upstream to refactor the whole Python plugin,
    using CFFI.  This fixes support for Python 3.9.  Closes: #975393
    + Replace my naive patch to fix the build with Python 3.8, using instead
      the fix that comes from upstream.
    + Install the new files produced by cffi.
    + Add new Build-Depends python3-cffi.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Dec 2020 22:03:57 +0100

hexchat (2.14.3-3) unstable; urgency=medium

  * Add patch to use the new -embed variant of python3.pc.
    Fix linking with Python 3.8.  LP: #1866081
  * Swap the Recommends:hwdata with Recommends:pci.ids.  Closes: #953300
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Mar 2020 17:08:25 +0100

hexchat (2.14.3-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Refresh the Ubuntu servlist patch.

  [ Mattia Rizzolo ]
  * Import patch from upstream (from James Clarke) to properly prioritize
    MODE commands, that were delaying PINGs in some cases.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 02 Jan 2020 09:46:24 +0100

hexchat (2.14.3-1) unstable; urgency=medium

  * New upstream version 2.14.3.
    + Drop patches applied upstream.
  * d/control:
    + Bump build-dependency on meson to >= 0.40.
    + Bump Standards-Version to 4.4.1, no changes needed.
  * Update the boundled upstream docs.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 31 Dec 2019 15:24:45 +0100

=== debian/control ===
Source: hexchat
Section: net
Priority: optional
Maintainer: Mattia Rizzolo <mapreri@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 iso-codes,
 libcanberra-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 liblua5.3-dev,
 libnotify-dev,
 libpci-dev,
 libperl-dev,
 libproxy-dev,
 libssl-dev,
 meson (>= 0.40),
 python3-cffi,
 python3-dev (>= 3.3),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/hexchat.git
Vcs-Browser: https://salsa.debian.org/debian/hexchat
Homepage: https://hexchat.github.io

Package: hexchat
Architecture: any
Provides:
 irc,
Depends:
 hexchat-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 hexchat-perl,
 hexchat-plugins,
 hexchat-python3,
 libglib2.0-bin,
Suggests:
 hexchat-otr,
 unifont,
Description: IRC client for X based on X-Chat 2
 HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
 and Perl scripting support, a plugin API, multiple server/channel windows,
 spell checking, multiple authentication methods including SASL,
 and customizable notifications. For more information on IRC,
 see http://irchelp.org/.

Package: hexchat-common
Architecture: all
Multi-Arch: foreign
Provides:
 irc,
Depends:
 ${misc:Depends},
Recommends:
 hexchat,
Description: Common files for HexChat
 This package includes documentation, headers, and locale files for the
 Debian HexChat packages that are common for all architectures. Hexchat is a
 popular and featureful IRC client with a GTK+ GUI. For more information on
 IRC, see http://irchelp.org/.

Package: hexchat-perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Description: Perl plugin for HexChat
 This package contains the perl plugin for HexChat. Previously included in the
 main HexChat package, it's now separate as it's not actually required for core
 functionality.

Package: hexchat-python3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Description: Python 3 plugin for HexChat
 This package contains the Python 3 plugin for HexChat. Previously included in
 the main HexChat package, it's now separate as it's not actually required for
 core functionality.

Package: hexchat-lua
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Description: Lua plugin for HexChat
 This package contains the Lua plugin for Hexchat.
 Previously included in the main HexChat package, it's now separate as it's not
 actually required for core functionality.

Package: hexchat-plugins
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
 pci.ids,
Description: Common plugins for HexChat
 This package contains the FiSHLiM, Sysinfo, Do At and Checksum plugins.
 Previously included in the main HexChat package, they're now separate as
 they're not actually required for core functionality.

Package: hexchat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Description: Development files for HexChat
 This package contains the hexchat-plugin.h and hexchat-plugin.pc
 files, which facilitate building binary plugins. Hexchat is a
 popular and featureful IRC client with a GTK+ GUI. For more information on
 IRC, see http://irchelp.org/.

## hexchat 2.14.3-3ubuntu0.20.04.2%2B10.0trisquel1

=== meson_options.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
   description: 'Perl scripting plugin, value is path to perl executable or "false"'
 )
 option('with-python', type: 'string', value: 'python3',
-  description: 'Python scripting plugin. value is pkg-config name to use or "false"'
+  description: 'Python 3 scripting plugin. value is pkg-config name to use or "false"'
 )
 option('with-sysinfo', type: 'boolean',
   description: 'System information plugin, requires libpci on Unix'

=== debian/changelog ===
hexchat (2.14.3-3ubuntu0.20.04.2+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel default channel #trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Oct 2021 23:36:32 +0000

hexchat (2.14.3-3ubuntu0.20.04.2) focal; urgency=medium

  * Apply patch from upstream to fix font height calculation with Pango >= 1.44.
    Backported from 2.14.3-5.  LP: #1920974

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 04 Oct 2021 13:53:19 +0200

hexchat (2.14.3-3ubuntu0.20.04.1) focal; urgency=medium

  * Add patches from upstream to add Libera.Chat to the network list.
  * Adapt default servers patches for the upstream changes.
  * Ubuntu default server:  LP: #1933681
    + Change from Freenode to Libera.Chat.
    + Pre-select the "join channel" button, like we do in Debian.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 25 Jun 2021 19:23:27 +0200

## hexchat 2.16.0

=== debian/changelog ===
hexchat (2.16.0-4build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:23 +0100

hexchat (2.16.0-4) unstable; urgency=medium

  * d/copyright: bump copyright year
  * Add some patches from upstream, while waiting for the new release:
    + Fix build with OpenSSL 3.
    + Improve the fishlim tests.
    + Fix the URL opening to not double-encode already encoded URLs.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Jan 2022 13:26:58 +0100

hexchat (2.16.0-3) unstable; urgency=medium

  * Increase the tests timeout even more.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 31 Oct 2021 17:45:43 +0100

hexchat (2.16.0-2) unstable; urgency=medium

  * Add patch to increase the tests timeout.
  * Update our copy of the upstream changelog.
  * Recommends:hexchat-lua from hexchat.  Closes: #996172
    Thanks to Jesse Rhodes <jesse@sney.ca> for the patch!

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Oct 2021 14:20:31 +0200

hexchat (2.16.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 2.16.0.
    + Drop all patches applied upstream.
    + Refresh the patches tweaking the default channels/networks.
  * Refresh the upstream signing key.
  * Update copyright.
  * Drop our patch renaming the Python plugin into Python3.
    There doesn't seem to be any transition needed.
  * d/control:
    + Drop Build-Depends on libnotify-dev and libproxy-dev,
      not used anymore starting with v2.16.
    + Have hexchat-python3 Depend on python3-cffi-backend;
      seems like I missed this dependency since v2.14.3-4.
    + Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    * Build-Depends: Drop versioned constraint on meson.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Oct 2021 17:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Mattia Rizzolo <mapreri@ubuntu.com>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
@@ -11,15 +11,13 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  liblua5.3-dev,
- libnotify-dev,
  libpci-dev,
  libperl-dev,
- libproxy-dev,
  libssl-dev,
- meson (>= 0.40),
+ meson,
  python3-cffi,
  python3-dev (>= 3.3),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Vcs-Browser: https://salsa.debian.org/debian/hexchat
@@ -35,6 +33,7 @@
  ${shlibs:Depends},
 Recommends:
  ca-certificates,
+ hexchat-lua,
  hexchat-perl,
  hexchat-plugins,
  hexchat-python3,
@@ -43,11 +42,11 @@
  hexchat-otr,
  unifont,
 Description: IRC client for X based on X-Chat 2
- HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
- and Perl scripting support, a plugin API, multiple server/channel windows,
- spell checking, multiple authentication methods including SASL,
- and customizable notifications. For more information on IRC,
- see http://irchelp.org/.
+ HexChat is a graphical IRC client with a GTK+ GUI. Features include Python,
+ Perl and Lua scripting support, a plugin API, multiple server/channel
+ windows, spell checking, multiple authentication methods including SASL, and
+ customizable notifications. For more information on IRC, see
+ http://irchelp.org/.
 
 Package: hexchat-common
 Architecture: all
@@ -81,6 +80,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ python3-cffi-backend,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

## hexchat 2.16.0-4build1%2B11.0trisquel1

=== debian/changelog ===
hexchat (2.16.0-4build1+11.0trisquel1) aramo; urgency=medium

  * Compiled for Trisquel default channel #trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 17:21:02 +0000

## hexchat 2.16.1

=== debian/changelog ===
hexchat (2.16.1-1) unstable; urgency=medium

  * New upstream version 2.16.1.
  * Drop all patches, applied upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Apr 2022 21:52:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
+Maintainer: Cruise.zrz <Cruise.zrz@gmail.com>
+Build-Depends: debhelper-compat (= 13),
  gettext,
  iso-codes,
  libcanberra-dev,
@@ -18,10 +17,10 @@
  python3-cffi,
  python3-dev (>= 3.3),
 Standards-Version: 4.6.0
+Homepage: <insert the upstream URL, if relevant>
+#Vcs-Browser: https://salsa.debian.org/debian/hexchat
+#Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/hexchat.git
-Vcs-Browser: https://salsa.debian.org/debian/hexchat
-Homepage: https://hexchat.github.io
 
 Package: hexchat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
git_checkout = $(shell if [ -d .git ]; then echo true ; else echo false ; fi)


%:
	dh $@

patch:
	$(info patching in the default server0907)
ifeq ($(shell dpkg-vendor --derives-from ubuntu && echo 1),1)
	patch -p1 < debian/default_servers/ubuntu
else
	patch -p1 < debian/default_servers/debian
endif
	touch $@

clean:
ifneq ($(wildcard patch),)
	$(info unpatching the default server0907)
ifeq ($(shell dpkg-vendor --derives-from ubuntu && echo 1),1)
	patch -p1 -R < debian/default_servers/ubuntu
else
	patch -p1 -R < debian/default_servers/debian
endif
	rm -f patch
endif
	dh clean

override_dh_auto_configure: patch
	dh_auto_configure -- -Dinstall-plugin-metainfo=true -Dwith-lua=lua53

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.txt


udoc:
ifeq ($(git_checkout),true)
	wget https://github.com/hexchat/documentation/raw/master/changelog.rst -O debian/changelog.txt
	wget https://github.com/hexchat/documentation/raw/master/plugins.rst -O debian/plugins.txt
else
	$(error you are running this outside of a git checkout; this is not what the maintainer expects)
endif

=== debian/watch ===
version=4
opts="\
pgpmode=auto\
,uversionmangle=s/(2\.12\.4)-repack/$1/\
" \
https://dl.hexchat.net/hexchat/hexchat@ANY_VERSION@@ARCHIVE_EXT@

## hexchat 2.16.2

=== debian/changelog ===
hexchat (2.16.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:56:34 +0000

hexchat (2.16.2-1build1) noble; urgency=medium

  * No-change rebuild against libcanberra t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:46:22 +0100

hexchat (2.16.2-1) unstable; urgency=medium

  * Update watch file for new github tarball location
  * New upstream version 2.16.2
  * Update copyright file
  * Update copyright years also for Debian packaging
  * Drop patch 0001-Be-even-more-picky-about-invalid-URLs.patch: upstream
  * Add three patches from <pabs>:
    - Add-channel-context-menu-item-to-close-the-channel,
    - Automatically-reconnect-when-there-is-a-TLS-error,
    - Do-not-insert-an-extra-space-on-all-lines-when-loading-scrollback-with-colours

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Mar 2024 11:51:16 +0100

hexchat (2.16.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Debian Janitor ]
  * Drop versioned constraint on python3-dev.

  [ Sudip Mukherjee ]
  * Fix hexchat crash for specific links. (LP: #2029314)
    + This is an upstream cherry-pick

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 07:30:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Cruise.zrz <Cruise.zrz@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
  gettext,
  iso-codes,
  libcanberra-dev,
@@ -15,12 +17,12 @@
  libssl-dev,
  meson,
  python3-cffi,
- python3-dev (>= 3.3),
+ python3-dev,
 Standards-Version: 4.6.0
-Homepage: <insert the upstream URL, if relevant>
-#Vcs-Browser: https://salsa.debian.org/debian/hexchat
-#Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/hexchat.git
+Vcs-Browser: https://salsa.debian.org/debian/hexchat
+Homepage: https://hexchat.github.io
 
 Package: hexchat
 Architecture: any

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/hexchat/hexchat/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## hexchat 3.0.0

=== debian/changelog ===
hexchat (3.0.0-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream (GTK 3 fork, see: #967523)
  * Drop upstream changelog (contained in appdata)
  * Drop debian/upstream/*

 -- Bastian Germann <bage@debian.org>  Sat, 14 Feb 2026 10:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
@@ -10,7 +9,7 @@
  libcanberra-dev,
  libdbus-glib-1-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  liblua5.3-dev,
  libpci-dev,
  libperl-dev,
@@ -22,7 +21,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Vcs-Browser: https://salsa.debian.org/debian/hexchat
-Homepage: https://hexchat.github.io
+Homepage: https://gitlab.com/bgermann/hexchat
 
 Package: hexchat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
git_checkout = $(shell if [ -d .git ]; then echo true ; else echo false ; fi)


%:
	dh $@

patch:
	$(info patching in the default server…)
ifeq ($(shell dpkg-vendor --derives-from ubuntu && echo 1),1)
	patch -p1 < debian/default_servers/ubuntu
else
	patch -p1 < debian/default_servers/debian
endif
	touch $@

clean:
ifneq ($(wildcard patch),)
	$(info unpatching the default server…)
ifeq ($(shell dpkg-vendor --derives-from ubuntu && echo 1),1)
	patch -p1 -R < debian/default_servers/ubuntu
else
	patch -p1 -R < debian/default_servers/debian
endif
	rm -f patch
endif
	dh clean

override_dh_auto_configure: patch
	dh_auto_configure -- -Dinstall-plugin-metainfo=true -Dwith-lua=lua53

=== debian/watch ===
Version: 5

Source: https://gitlab.com/bgermann/hexchat.git
Matching-Pattern: refs/tags/v@ANY_VERSION@
Mode: git
